	window.isDebug = false;
	//Verifica se um valor é inteiro
	function isInt(value) {
 		return !isNaN(value) && 
 				parseInt(Number(value)) == value && 
        		!isNaN(parseInt(value, 10));
	}

	//Função responsável por determinar a  troca de layout
	function changeLayout(layoutId){
		console.log("Mudando para o layout de id " + layoutId);
		if(isInt(layoutId)){
			AreaInterface.changeLayout(layoutId);
			console.log("Mudando para o layout de id " + layoutId);
		}
	}

	//Função responsável por determinar a troca de playlist
	function changePlaylist(playlistId){		
		if(isInt(playlistId)){
			console.log("Mudando para o playlist de id " + playlistId);
			var response = AreaInterface.changePlaylist(playlistId);				
		}
	}

	//Função responsável por para o scheduler de troca de notícias;
	function stopSchedulerNews(){
		console.log("Stop schedulerNews");
		clearInterval(schedulerNews);
	}
	//Função responsável por iniciar o scheduler de troca notícias;
	function startSchedulerNews(){
		console.log("Start schedulerNews");
		schedulerNews = setInterval(function() { nextNews() },NEWS_TIME);
	}
	//Função responsável por requisitar a próxima notícia ao player
	function nextNews(){
		var responseR = AreaInterface.nextNews();
		//var responseR = "?imgVar=http://4usee.com/demonstracao/7F3254/common/imgnews/8319.jpeg&txtVar=Economia:%20Por%205%20votos%20a%204,%20STJ%20decide%20que%20FGTS%20entra%20na%20partilha%20de%20bens%20em%20casos%20de%20separação%20do%20casal";
		//console.log("Response: " + response);
		response = decodeURIComponent(decodeURIComponent(responseR));
	  	if( (typeof(response) == 'string') && (response.indexOf('&') !== -1 )){
	    	var rss = response.split('&');
	    	//console.log("RssImg: " + rss[0] + " - RssTxt: " + rss[1] );
			
			var imagem = '';
			var texto = '';
			try {
				imagem = rss[0].split("?")[1].split("=")[1];
				texto = rss[1].split("=")[1];
			} catch(error) {
				imagem = rss[0];
				texto = rss[1];
			}
						
	    	loadNews(imagem,texto);
			//console.log("debug01: " + imagem);
	  	}
	}

	//Função responsável por exibir os dados da notícia no template
	function loadNews(imgVar, txtVar){
		//console.log("debug02: " + txtVar,imgVar);
		if (options.imgVar) {
   		 document.getElementById('imgVar').src=imgVar;
			//log(imgVar);
  		}
  		if (options.txtVar) {
			
    		var partes = txtVar.split(":");
    		document.getElementById('desc').innerHTML = partes[0].trim();
    		document.getElementById('texto').innerHTML = partes[1].trim();
			//console.log("debug03: " + partes[1].trim());
			//log(txtVar);
			//console.log("debug04: " + partes[0].trim());
  		}
	}  

	//Função responsável por fazer o parse dos dados da notícia passados como parâmetro através da chamada da url
	function parseQueryString (queryString) {
		if(typeof(queryString) != 'string'){
	    	return queryString;
	    }

	    if(queryString[0] == '?'){
	      queryString = queryString.substring(1, queryString.length);
	    }

	    var params = {}, queries, temp, i, l;
	    queries = queryString.split('&');

	    for ( i = 0, l = queries.length; i < l; i++ ) {
	      temp = queries[i].split('=');
	      params[temp[0]] = temp[1];
	    }

	    return params;
	  }
	  //Debug
	  function log(str) {
		if(!isDebug) {
			return false;
		}
		
		var type = typeof(str);
		if(typeof str == 'object')
			str = JSON.stringify(str);
		
		var debug = document.getElementById('debug')
		debug.value = debug.value + type + '        ' + str + '\n';
		debug.style.display = 'block';
	}
	
	window.onerror = function(msg, url, line, col, error){
		//console.log(msg, url, line, col, error);
		log(msg);
	}

	var MILISECONDS = 1000;
	//Tempo de duração de uma notícia em segundos
	var NEWS_TIME_IN_SECONDS =  10;
	//Tempo de duração de uma notícia em milisegundos 
	var NEWS_TIME = NEWS_TIME_IN_SECONDS * MILISECONDS;  

	var options = parseQueryString(decodeURIComponent(window.location.search));
	loadNews(options.imgVar, options.txtVar);

	var schedulerNews = setInterval(function() { nextNews() },NEWS_TIME);